> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/powershell/de/powershell-commands/get-dsazureadgroup.md).

# Get-DSAzureADGroup

Get-DSAzureADGroup ruft Azure AD-Gruppen, einschließlich ihres Namens und ihrer SID, von einem Azure AD-Benutzer-PAM-Anbieter in Devolutions Server ab.

### Übersicht

Gruppen von einem Azure AD-Benutzer-PAM-Anbieter abrufen

### Syntax

#### \_\_AllParameterSets

```
Get-DSAzureADGroup [-ProviderID] <guid> [-AsJITSettings] [-AsLegacyResponse] [<CommonParameters>]
```

### Beschreibung

Gruppen von einem Azure AD-Benutzer-PAM-Anbieter abrufen. Die zurückgegebenen Daten sind der Name und die SID jeder Gruppe. Diese Werte können den autorisierten Gruppen der JIT-Einstellungen des Anbieters hinzugefügt werden.

### Beispiele

```powershell
PS C:\> $getResponse = Get-DSPamProvider
        $provider = $getResponse | Where Label -eq 'MyAzureADUserProvider'
        $groupsResponse = Get-DSAzureADGroup -ProviderID $provider.ID
        $desiredGroups = $groupsResponse | Where Name -like group*
        $provider.JitElevationSettings.AuthorizedGroups = $desiredGroups
        Update-DSPamProvider -InputObject $provider
```

Alle Gruppen, deren Name mit 'group' beginnt, den autorisierten Gruppen der JIT-Einstellungen des Anbieters 'MyAzureADUserProvider' hinzufügen und die Änderung speichern

### Parameter

#### -AsJITSettings

Gibt das Objekt als JIT-Einstellungswert zurück. Nützlich, wenn es im Anbieter nicht initialisiert ist.

```yaml
Type: System.Management.Automation.SwitchParameter
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: Named
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -AsLegacyResponse

In Versionen vor 2024.2 gaben viele DS-Cmdlets ein ServerResponse-Objekt zurück. Durch die Aktivierung dieses Schalters für Rückwärtskompatibilität können für frühere Versionen entwickelte Skripte korrekt funktionieren.

```yaml
Type: System.Management.Automation.SwitchParameter
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: Named
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -ProviderID

PAM-Anbieter, von dem die Domänen abgerufen werden sollen

```yaml
Type: System.Guid
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: 0
  IsRequired: true
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### CommonParameters

Dieses Cmdlet unterstützt die allgemeinen Parameter: -Debug, -ErrorAction, -ErrorVariable, -InformationAction, -InformationVariable, -OutBuffer, -OutVariable, -PipelineVariable, -ProgressAction, -Verbose, -WarningAction und -WarningVariable. Weitere Informationen finden Sie unter [about\_CommonParameters](https://go.microsoft.com/fwlink/?LinkID=113216).

### Hinweise

Für weitere Informationen geben Sie "Get-Help Get-DSAzureADGroup -detailed" ein. Für technische Informationen geben Sie "Get-Help Get-DSAzureADGroup -full" ein.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.devolutions.net/powershell/de/powershell-commands/get-dsazureadgroup.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
